MSCORE(1)

NAME
mscore, musescore - MuseScore 2 sheet music editor.

SYNOPSIS
mscore [OPTIONS] [FILE...]
musescore [OPTIONS] [FILE...]

DESCRIPTION
MuseScore is a free and open source WYSIWYG program for typesetting musical scores, released under the GNU General Public Licence (GPLv2).

  Getting help
This manual documents command line useage of mscore. For help with the full MuseScore program see:

    Online Handbook
        <https://musescore.org/handbook>

    Support Forum
        <https://musescore.org/forum>

  Further information

These pages cover the topics in this manual and may be more up-to-date:
    <https://musescore.org/handbook/command-line-options-0> <https://musescore.org/handbook/revert-factory-settings-0>

OPTIONS
A summary of options is included below. Running mscore without options launches the full MuseScore program and opens any specified files.

-h, --help
    Displays help.

-v, --version
    Displays MuseScore's current version in the command line without starting the graphical interface.

--long-version
    Displays MuseScore's current version and revision in the command line without starting the graphical interface.

-d, --debug
    Starts MuseScore in debug mode.

-L, --layout-debug
    Starts MuseScore in layout debug mode

-s, --no-synthesizer
    Disables the integrated software synthesizer

-m, --no-midi
    Disables MIDI input

-a, --use-audio <driver>
    Use audio driver: jack, alsa, pulse, portaudio

-n, --new-score
    Starts with the new score wizard regardless of preference setting for start mode

-I, --dump-midi-in
    Displays all MIDI input on the console

-O, --dump-midi-out
    Displays all MIDI output on the console

-o, --export-to <filename>
    Exports the currently opened file to the specified <filename>. The file type depends on the filename extension. This option switches to the "converter" mode and avoids any graphical interface. You can also add a filename before the -o if you want to import and export files from the command line. For example mscore -o "My Score.pdf" "My Score.mscz"

-r, --image-resolution <dpi>
    Determines the output resolution for the output to "*.png" files in the converter mode. The default resolution is 300 dpi.

-T, --trim-margin <margin>
    Trims exported PNG and SVG images to remove surrounding whitespace around the score. The specified number of pixels of whitespace will be added as a margin; use 0 for a tightly cropped image. For SVG, this option works only with single-page scores.

-x, --gui-scaling <factor>
    Scales the score display and other GUI elements by the specified factor, for use with high resolution displays.

-S, --style <style>
    Loads a style file; useful when you convert with the -o option

-p, --plugin <name>
    Execute the named plugin

--template-mode
    Save template mode, no page size

-F, --factory-settings
    Use only the standard built-in presets or "factory-settings" and delete preferences

-R, --revert-settings
    Use only the standard built-in presets or "factory-settings", but do not delete preferences

-i, --load-icons
    Load icons from the file system. Useful if you want to edit the MuseScore icons and preview the changes

-e, --experimental
    Enable experimental features. (E.g. layers).

-c, --config-folder <pathname>
    Set config path

-t, --test-mode
    Enable Test Mode

-M, --midi-operations <file>
    Specify MIDI import operations file

-w, --no-webview
    No web view in Start Center

-P, --export-score-parts
    Used with -o .pdf, export score and parts

FILES
Advanced users can find MuseScore's configuration files at:

    ~/.config/MuseScore/MuseScore2.ini
        Main MuseScore preference file.

    ~/.local/share/data/MuseScore/MuseScore2/
        Directory for all other preferences and session data. (Autosaves, palettes, locale, plugin data, etc.)
The information in these files may allow partial recovery of lost work in some situations, but full recovery is extremely unlikely. No method of data rescue can match regular, automated backups.

BUGS

Please report any bugs via the Issue Tracker:
    <https://musescore.org/project/issues>

Please check first to if the bug has already been reported. If you just need
    help with something then please use the support forum instead.

AUTHOR
The MuseScore Team.